Package org.apache.cayenne.configuration

# Class PlainTextPasswordEncoder

java.lang.Object
org.apache.cayenne.configuration.PlainTextPasswordEncoder

All Implemented Interfaces:
  `PasswordEncoding`

public class PlainTextPasswordEncoder extends Object implements PasswordEncoding
The plain text password encoder passes the text of the database password straight-through without any alteration. This is identical to the behavior of pre-3.0 versions of Cayenne, where the password was stored in the XML model in clear text.

Since:
  3.0

- ## Field Summary

  ### Fields inherited from interface org.apache.cayenne.configuration.PasswordEncoding

  `standardEncoders`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PlainTextPasswordEncoder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `decodePassword(String encodedPassword, String key)`
  Decodes an encoded database password.
  `String`
  `encodePassword(String normalPassword, String key)`
  Encodes a normal/plain database password.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PlainTextPasswordEncoder

    public PlainTextPasswordEncoder()

- ## Method Details

  - ### decodePassword

    public String decodePassword(String encodedPassword, String key)
    Description copied from interface: `PasswordEncoding`
    Decodes an encoded database password.
    Specified by:
      `decodePassword` in interface `PasswordEncoding`
    Parameters:
      `encodedPassword` - - The encoded password to be decoded
      `key` - - An optional data element which can be used to unlock the password. Some encoders may require the key.
    Returns:
      The decoded normal/plain password.

  - ### encodePassword

    public String encodePassword(String normalPassword, String key)
    Description copied from interface: `PasswordEncoding`
    Encodes a normal/plain database password.
    Specified by:
      `encodePassword` in interface `PasswordEncoding`
    Parameters:
      `normalPassword` - - The normal/plain password to be encoded
      `key` - - An optional data element which can be used to lock the password. Some encoders may require the key.
    Returns:
      The encoded password.